"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bulkSetMetafields = exports.setMetaFieldsMutation = void 0;
const bulk_operations_1 = require("./bulk-operations");
const api_1 = require("./api");
exports.setMetaFieldsMutation = (0, api_1.gql) `
  mutation metafieldsSet($metafields: [MetafieldsSetInput!]!) {
    metafieldsSet(metafields: $metafields) {
      metafields {
        key
        namespace
        value
        createdAt
        updatedAt
      }
      userErrors {
        field
        message
        code
      }
    }
  }
`;
async function bulkSetMetafields(JSONLReadStream, fileName) {
    return (0, bulk_operations_1.bulkUpdate)({
        JSONLReadStream,
        mutation: exports.setMetaFieldsMutation,
        fileName,
    });
}
exports.bulkSetMetafields = bulkSetMetafields;
