/// <reference types="node" />
import { IProductCreateInput } from "./types";
export declare type TProductBulkMutationFns = "bulkCreateProducts" | "bulkUpdateProductsImages" | "bulkAppendProductsImages" | "bulkUpdateProductsTags";
export declare type TProductBulkQueryFns = "getAllProductVariantIds" | "getAllProductImages";
export declare const createProductMutation: string;
export declare function bulkCreateProducts(JSONLReadStream: NodeJS.ReadableStream, fileName: string): Promise<import("./types").IBulkOperationRunMutationResponse>;
export declare const updateProductTagsMutation: string;
export declare function bulkUpdateProductsTags(JSONLReadStream: NodeJS.ReadableStream, fileName: string): Promise<import("./types").IBulkOperationRunMutationResponse>;
export declare const updateProductImagesMutation: string;
export declare function bulkUpdateProductsImages(JSONLReadStream: NodeJS.ReadableStream, fileName: string): Promise<import("./types").IBulkOperationRunMutationResponse>;
export declare const appendProductImagesMutation: string;
export declare function bulkAppendProductsImages(JSONLReadStream: NodeJS.ReadableStream, fileName: string): Promise<import("./types").IBulkOperationRunMutationResponse>;
export declare const updateProductMutation: string;
export declare function bulkUpdateProducts(JSONLReadStream: NodeJS.ReadableStream, fileName: string): Promise<import("./types").IBulkOperationRunMutationResponse>;
export declare const deleteProductMutation = "\nmutation productDelete($input: ProductDeleteInput!) {\n  productDelete(input: $input) {\n    deletedProductId\n    userErrors {\n      field\n      message\n    }\n  }\n}\n";
export declare type TProductDeleteReturn = Promise<{
    productDelete: {
        deletedProductId: string | null;
        userErrors: {
            field: [string];
            message: string;
        }[];
    };
}>;
export declare function deleteProduct(id: string): TProductDeleteReturn;
export declare function deleteProduct(deleteVars: {
    input: {
        id: string;
    };
}): TProductDeleteReturn;
export declare function getProductIdFromVariantId(variantId: string | number): Promise<Record<string | number, string>>;
export declare function getProductIdsFromVariantIds(variantIds: (string | number)[], limit?: number, wait?: number): Promise<Record<string, string>>;
export declare function createProduct(input: IProductCreateInput): Promise<any>;
export declare function productExists(sku: string): Promise<false | {
    exists: boolean;
    productId: any;
}>;
export declare function getAllProductImages(): Promise<import("./types").IBulkOperationRunQueryResponse>;
export declare function getAllProductVariantIds(): Promise<import("./types").IBulkOperationRunQueryResponse>;
